package pl.edu.amu.wmi.bookapi.api.dto;

import javax.validation.constraints.NotNull;

public class BookDto {
    @NotNull
    private String ean;
    @NotNull
    private String author;
    @NotNull
    private String title;

    public BookDto(String ean, String author, String title) {
        this.ean = ean;
        this.author = author;
        this.title = title;
    }

    public String getEan() {
        return ean;
    }

    public void setEan(String ean) {
        this.ean = ean;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String toString() {
        return "BookDto{" +
                "ean='" + ean + '\'' +
                ", author='" + author + '\'' +
                ", title='" + title + '\'' +
                '}';
    }
}
