package pl.edu.amu.wmi.bookapi.repositories;

import org.springframework.data.mongodb.repository.MongoRepository;
import pl.edu.amu.wmi.bookapi.models.BookDocument;

import java.util.List;

public interface BookRepository extends MongoRepository<BookDocument, String>, BookRepositoryCustom {
    List<BookDocument> findAllByOwnerUsername(String ownerUsername);
    void deleteByIdAndOwnerUsername(String id, String ownerUsername);
}
