package pl.edu.amu.wmi.bookapi.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "imgproc")
public class ImageProcessingConfigurationProperties {
    private Boolean debug;

    public Boolean getDebug() {
        return debug;
    }

    public void setDebug(Boolean debug) {
        this.debug = debug;
    }

    @Override
    public String toString() {
        return "ImageProcessingConfigurationProperties{" +
                "debug=" + debug +
                '}';
    }
}
