package pl.edu.amu.wmi.bookapi.models;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Document
public class ThreadDocument {
    @Id
    private String id;
    private List<String> participantsIds;

    public ThreadDocument(List<String> participantsIds) {
        this.participantsIds = participantsIds;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<String> getParticipantsIds() {
        return participantsIds;
    }

    public void setParticipantsIds(List<String> participantsIds) {
        this.participantsIds = participantsIds;
    }
}
