package pl.edu.amu.wmi.bookapi.fixtures;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Component;
import pl.edu.amu.wmi.bookapi.models.BookDocument;
import pl.edu.amu.wmi.bookapi.models.MessageDocument;
import pl.edu.amu.wmi.bookapi.models.ThreadDocument;
import pl.edu.amu.wmi.bookapi.models.UserDocument;

import java.util.List;

@Component
public class IntegrationTestUtil {
    @Autowired
    MongoTemplate mongoTemplate;

    public void cleanCollections() {
        List.of(
            UserDocument.class,
            BookDocument.class,
            MessageDocument.class,
            ThreadDocument.class
        ).forEach(it -> mongoTemplate.remove(new Query(), it));
    }
}
